package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.SysCustomer;

/**
 * 客户管理Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-18
 */
public interface SysCustomerMapper {
	/**
	 * 查询客户管理
	 * 
	 * @param clientId 客户管理主键
	 * @return 客户管理
	 */
	public SysCustomer selectSysCustomerByClientId(Long clientId);

	/**
	 * 查询客户管理列表
	 * 
	 * @param sysCustomer 客户管理
	 * @return 客户管理集合
	 */
	public List<SysCustomer> selectSysCustomerList(SysCustomer sysCustomer);

	/**
	 * 新增客户管理
	 * 
	 * @param sysCustomer 客户管理
	 * @return 结果
	 */
	public int insertSysCustomer(SysCustomer sysCustomer);

	/**
	 * 修改客户管理
	 * 
	 * @param sysCustomer 客户管理
	 * @return 结果
	 */
	public int updateSysCustomer(SysCustomer sysCustomer);

	/**
	 * 删除客户管理
	 * 
	 * @param clientId 客户管理主键
	 * @return 结果
	 */
	public int deleteSysCustomerByClientId(Long clientId);

	/**
	 * 批量删除客户管理
	 * 
	 * @param clientIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteSysCustomerByClientIds(Long[] clientIds);
}
